# Record Class CAStockRepositSerialIntroduce

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAStockRepositSerialIntroduce

Record Components:
  `instance` - The instance
  `item` - The item
  `location` - The storage location
  `serial` - The item serial number

All Implemented Interfaces:
  `CAStockRepositType`

public record CAStockRepositSerialIntroduce(CAStockInstanceID instance, CAItemID item, CALocationID location, CAItemSerial serial) extends Record implements CAStockRepositType
An operation that introduces a single item with a serial number to a storage location.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAStockRepositSerialIntroduce(CAStockInstanceID instance, CAItemID item, CALocationID location, CAItemSerial serial)`
  An operation that introduces a single item with a serial number to a storage location.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAStockInstanceID`
  `instance()`
  Returns the value of the `instance` record component.
  `CAItemID`
  `item()`
  Returns the value of the `item` record component.
  `CALocationID`
  `location()`
  Returns the value of the `location` record component.
  `CAItemSerial`
  `serial()`
  Returns the value of the `serial` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAStockRepositSerialIntroduce

    public CAStockRepositSerialIntroduce(CAStockInstanceID instance, CAItemID item, CALocationID location, CAItemSerial serial)
    An operation that introduces a single item with a serial number to a storage location.
    Parameters:
      `instance` - The instance
      `item` - The item
      `location` - The storage location
      `serial` - The item serial number

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### instance

    public CAStockInstanceID instance()
    Returns the value of the `instance` record component.
    Specified by:
      `instance` in interface `CAStockRepositType`
    Returns:
      the value of the `instance` record component

  - ### item

    public CAItemID item()
    Returns the value of the `item` record component.
    Returns:
      the value of the `item` record component

  - ### location

    public CALocationID location()
    Returns the value of the `location` record component.
    Returns:
      the value of the `location` record component

  - ### serial

    public CAItemSerial serial()
    Returns the value of the `serial` record component.
    Returns:
      the value of the `serial` record component